Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.componentxml.propertypeer
Class InsetsPeer

    java.lang.Object
      nextapp.echo2.app.componentxml.propertypeer.InsetsPeer

All Implemented Interfaces:
  PropertyXmlPeer

    public class InsetsPeer

extends java.lang.Object
implements PropertyXmlPeer

`PropertyXmlPeer` implementation for `nextapp.echo2.app.Insets` properties.

Constructor Summary
`InsetsPeer()`

Method Summary
`java.lang.Object` | `getValue(java.lang.ClassLoader classLoader, java.lang.Class objectClass, org.w3c.dom.Element propertyElement)` Translates an property represented as an DOM `Element` into a property value.
`static Insets` | `toInsets(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsetsPeer

    public InsetsPeer()

Method Detail

### toInsets

    public static Insets toInsets(java.lang.String value)
                           throws InvalidPropertyException

  Throws:
    `InvalidPropertyException`

### getValue

    public java.lang.Object getValue(java.lang.ClassLoader classLoader,
                                     java.lang.Class objectClass,
                                     org.w3c.dom.Element propertyElement)
                              throws InvalidPropertyException

  Description copied from interface: `PropertyXmlPeer`
  Translates an property represented as an DOM `Element` into a property value.

  Specified by:
    `getValue` in interface `PropertyXmlPeer`
  Parameters:
    `classLoader` - the `ClassLoader` to use for analyzing component/property data
    `objectClass` - the `Class` of the object on which the property is being set
    `propertyElement` - the <property> `Element`
  Returns:
    the property value
  Throws:
    `InvalidPropertyException`
  See Also:
    `PropertyXmlPeer.getValue(java.lang.ClassLoader, java.lang.Class, org.w3c.dom.Element)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD